Printago API
POST
/v1/materials
Create material
Create a new material type
Request Body
Material type data
MaterialInsert
brandrequired
string
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptional
string
filamentSystemProfileIdrequired
number
filamentUserProfileIdrequired
string
identifieroptional
string
namerequired
string
pricePer1000goptional
number
sourceoptional
string
starredoptional
boolean
tagsrequired
string[]
typerequired
string
Example Request
application/json
{
"name": "string",
"type": "string",
"brand": "string",
"customMetadata": {},
"tags": [
"string"
],
"starred": true
}
Response Schema
Material
brandrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptional
string
filamentSystemProfileIdrequired
number
filamentUserProfileIdrequired
string
idrequired
string
pattern: ^[a-z0-9]{24}$
identifieroptional
string
namerequired
string
pricePer1000goptional
number
sourceoptional
string
starredoptional
boolean
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
tagsrequired
string[]
typerequired
string
updatedAtrequired
string
format: date-time
Example Response
201 OK — application/json
{
"name": "string",
"brand": "string",
"type": "string",
"tags": [
"string"
],
"starred": true,
"customMetadata": {},
"id": "string",
"storeId": "string",
"createdAt": "2026-09-09T20:31:46.632Z",
"updatedAt": "2026-09-09T20:31:46.632Z"
}